@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;700&display=swap');

* {
    margin: 0 auto;
    box-sizing: border-box;
}

body {
    font-family: 'Poppins', sans-serif;
    background: url('../img/background-work.png');
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
}

header {
  margin-top: 10px;
    height: 90px;
}

header img {
    margin-left: 135px;
    height: 80px;
    padding: 5px 0;
    float: left;
}

#bars, #dropdown {
    display: none;
}

#bars {
  margin-right: 0;
}

#menu {
    display: block;
    float: right;
}

#menu ul {
  margin-right: 140px;
    list-style-type: none;
    display: flex;
    justify-content: space-around;
}

#menu ul li {
    line-height: 90px;
    margin: 0 20px;
}

#menu ul li a {
    text-decoration: none;
    color: #f7e5c1;
    font-weight: bold;
}

#menu ul li a:hover,
#menu ul li .active {
    background: #5c5099;
    border-radius: 15px;
    padding: 5px 15px;
    box-shadow: 0 10px 15px rgba(0, 0, 0, 0.4);
}

.slider {
	margin-top: 40px;
}
.blog-slider {
    width: 690px;
    height: auto;
    position: relative;
    margin: auto;
    background-color: #ffffff;
    box-shadow: 0px 14px 80px rgba(34, 35, 58, 0.2);
    padding: 25px;
    border-radius: 25px;
    height: 400px;
    transition: all 0.3s;
}

 .blog-slider__item {
   display: flex;
   align-items: center;
}

 .blog-slider__item.swiper-slide-active .blog-slider__img img {
   opacity: 1;
   transition-delay: 0.3s;
}
 .blog-slider__item.swiper-slide-active .blog-slider__content > * {
   opacity: 1;
   transform: none;
}
 .blog-slider__item.swiper-slide-active .blog-slider__content > *:nth-child(1) {
   transition-delay: 0.3s;
}
 .blog-slider__item.swiper-slide-active .blog-slider__content > *:nth-child(2) {
   transition-delay: 0.4s;
}
 .blog-slider__item.swiper-slide-active .blog-slider__content > *:nth-child(3) {
   transition-delay: 0.5s;
}
 .blog-slider__item.swiper-slide-active .blog-slider__content > *:nth-child(4) {
   transition-delay: 0.6s;
}
 .blog-slider__item.swiper-slide-active .blog-slider__content > *:nth-child(5) {
   transition-delay: 0.7s;
}
 .blog-slider__item.swiper-slide-active .blog-slider__content > *:nth-child(6) {
   transition-delay: 0.8s;
}
 .blog-slider__item.swiper-slide-active .blog-slider__content > *:nth-child(7) {
   transition-delay: 0.9s;
}
 .blog-slider__item.swiper-slide-active .blog-slider__content > *:nth-child(8) {
   transition-delay: 1s;
}
 .blog-slider__item.swiper-slide-active .blog-slider__content > *:nth-child(9) {
   transition-delay: 1.1s;
}
 .blog-slider__item.swiper-slide-active .blog-slider__content > *:nth-child(10) {
   transition-delay: 1.2s;
}
 .blog-slider__item.swiper-slide-active .blog-slider__content > *:nth-child(11) {
   transition-delay: 1.3s;
}
 .blog-slider__item.swiper-slide-active .blog-slider__content > *:nth-child(12) {
   transition-delay: 1.4s;
}
 .blog-slider__item.swiper-slide-active .blog-slider__content > *:nth-child(13) {
   transition-delay: 1.5s;
}
 .blog-slider__item.swiper-slide-active .blog-slider__content > *:nth-child(14) {
   transition-delay: 1.6s;
}
 .blog-slider__item.swiper-slide-active .blog-slider__content > *:nth-child(15) {
   transition-delay: 1.7s;
}
 .blog-slider__img {
   width: 300px;
   flex-shrink: 0;
   height: 300px;
   background-image: #fff;
   background-image: linear-gradient(147deg, #1e1944 0%, #985dd2 74%);
   box-shadow: 4px 13px 30px 1px rgba(45, 26, 65, 0.2);
   border-radius: 20px;
   transform: translateX(-80px);
   overflow: hidden;
}
 .blog-slider__img:after {
   content: '';
   position: absolute;
   top: 0;
   left: 0;
   width: 100%;
   height: 100%;
   border-radius: 20px;
   opacity: 0.8;
}
 .blog-slider__img img {
   width: 100%;
   height: 100%;
   object-fit: cover;
   display: block;
   opacity: 0;
   border-radius: 20px;
   transition: all 0.3s;
}

 .blog-slider__content {
   margin-left: -50px;
   padding-right: 25px;
}
 .blog-slider__content > * {
   opacity: 0;
   transform: translateY(25px);
   transition: all 0.4s;
}
 .blog-slider__code {
   color: #bb8ee8;
   font-style: italic;
   margin-bottom: 25px;
   font-weight: 600;
}
 .blog-slider__title {
   font-size: 24px;
   font-weight: 700;
   color: #0d0925;
   margin-bottom: 20px;
}
 .blog-slider__text {
   color: #85779e;
   margin-bottom: 30px;
   line-height: 1.5em;
   font-weight: 400;
}
 .blog-slider__button {
   display: inline-flex;
   background-image: linear-gradient(147deg, #1e1944 0%, #985dd2 74%);
   padding: 15px 35px;
   border-radius: 50px;
   color: #fff;
   box-shadow: 0px 14px 80px rgba(45, 26, 65, 0.4);
   text-decoration: none;
   font-weight: 500;
   justify-content: center;
   text-align: center;
   letter-spacing: 1px;
}

 .blog-slider .swiper-container-horizontal > .swiper-pagination-bullets, .blog-slider .swiper-pagination-custom, .blog-slider .swiper-pagination-fraction {
   bottom: 10px;
   left: 0;
   width: 100%;
}
 .blog-slider__pagination {
   position: absolute;
   z-index: 21;
   right: 20px;
   width: 11px !important;
   text-align: center;
   left: auto !important;
   top: 50%;
   bottom: auto !important;
   transform: translateY(-50%);
}

 .blog-slider__pagination.swiper-pagination-bullets .swiper-pagination-bullet {
   margin: 8px 0;
}

 .blog-slider__pagination .swiper-pagination-bullet {
   width: 11px;
   height: 11px;
   display: block;
   border-radius: 10px;
   background: #062744;
   opacity: 0.2;
   transition: all 0.3s;
}
 .blog-slider__pagination .swiper-pagination-bullet-active {
   opacity: 1;
   background: #985dd2;
   height: 30px;
   box-shadow: 0px 0px 20px rgba(252, 56, 56, 0.3);

}
 
/* -------------------------------------------------------------------------------- */

.footer {
	align-items: center;
	text-align: center;
	height: 300px;
	box-sizing: border-box;
	font-family: poppins;
}

a.button {
  text-align: center;
	margin-top: 60px;
  margin-left: 670px;
	display: inline-block;
	padding: 10px 20px;
	background-color: #c89af5;
	color: #f7e5c1;
	text-decoration: none;
	font-weight: 600;
	border-radius: 4px;
}

.button {
    padding: 10px 20px;
    background-image:linear-gradient(147deg, #1e1944 0%, #985dd2 74%);
    color: #ffffff;
    border: none;
    border-radius: 7px;
    cursor: pointer;
    position: relative;
    overflow: hidden;
}

.button::after {
  	content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 10px;
    height: 0;
    background-color: rgba(255, 255, 255, 0.5);
    border-radius: 70%;
    transition: width 0.3s ease, height 0.3s ease;
}

.button:hover::after {
  	width: 100px;
    height: 100px;
}

footer {
    position: relative;
}

footer a[href="#hello"] {
    text-align: center;
}

footer a[href="#hello"] {
    position: absolute;
    left: 690px;
    text-transform: uppercase;
    padding: 5px 15px;
    border-radius: 15px;
    color: #412060;
    font-weight: bold;
    background-color: #f7e5c1;
    text-decoration: none;
    box-shadow: 5px 5px 0 #000;
    bottom: 130px;
}

footer a[href="#hello"]:active {
    bottom: 125px;
}

footer ul {
    margin-top: 80px;
    list-style-type: none;
    display: flex;
    justify-content: space-around;
    width: 50%;
}

footer ul li {
    line-height: 40px;
    margin: 0 20px;
}

footer ul li a {
    color: #f7e5c1;
    text-decoration: none;
}

footer p {
    text-align: center;
    margin-top: 10px;
    font-size: 12px;
    padding-bottom: 30px;
    color: #fff;
}

footer ul li a:hover {
    font-weight: bolder;
}